summaryrefslogtreecommitdiffstats
path: root/verify.sh
diff options
context:
space:
mode:
authoryuyang <Gabriel.yuyang@huawei.com>2017-01-12 15:55:00 +0800
committeryuyang <Gabriel.yuyang@huawei.com>2017-01-12 15:55:00 +0800
commit9f28a751ee342b77f653acbebfb10d6587af669a (patch)
tree5ab223ed6feafb40afc3f2e489adba9860aa13f1 /verify.sh
parente1a54d34819563946d1ff1ec673d1d261b826ad8 (diff)
Add paths to flake8 style check
JIRA: BOTTLENECK-100 Add paths utils/ to flake8 style check and change tests.sh->verify.sh to make it self-explanatory Change-Id: I653dd4412633c026a47472abd25df021bcd093a4 Signed-off-by: yuyang <Gabriel.yuyang@huawei.com>
Diffstat (limited to 'verify.sh')
-rwxr-xr-xverify.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/verify.sh b/verify.sh
new file mode 100755
index 00000000..1e0d0132
--- /dev/null
+++ b/verify.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Tech and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Run flake8, unit, coverage test
+
+getopts ":f" FILE_OPTION
+
+run_flake8() {
+ echo "Running flake8 ... "
+ logfile=flake8_verify.log
+ if [ $FILE_OPTION == "f" ]; then
+ flake8 --append-config=flake8_cfg testsuites/posca/ utils/ > $logfile
+ else
+ flake8 --append-config=flake8_cfg testsuites/posca/ utils/
+ fi
+
+ if [ $? -ne 0 ]; then
+ echo "FAILED"
+ if [ $FILE_OPTION == "f" ]; then
+ echo "Results in $logfile"
+ fi
+ exit 1
+ else
+ echo "OK"
+ fi
+}
+
+run_tests() {
+ echo "Running unittest ... "
+ #will add future
+}
+
+run_coverage() {
+ echo "Running coverage ..."
+ #will add future
+}
+
+run_flake8
+run_tests
+run_coverage